> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.layouteventargs.md).

# LayoutEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [Layout](/api/wisej.web/general/control.md#layout) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class LayoutEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class LayoutEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) LayoutEventArgs(affectedComponent, affectedProperty)

Initializes a new instance of the [LayoutEventArgs](/api/wisej.web/general/control/wisej.web.layouteventargs.md) class with the specified control and property affected.

| Name                  | Type                                                                                 | Description                                 |
| --------------------- | ------------------------------------------------------------------------------------ | ------------------------------------------- |
| **affectedComponent** | [IComponent](https://docs.microsoft.com/dotnet/api/system.componentmodel.icomponent) |                                             |
| **affectedProperty**  | [String](https://docs.microsoft.com/dotnet/api/system.string)                        | The property affected by the layout change. |

### ![](/files/hsR4ok3152WyAf8J2C1u) LayoutEventArgs(affectedControl, affectedProperty)

Initializes a new instance of the [LayoutEventArgs](/api/wisej.web/general/control/wisej.web.layouteventargs.md) class with the specified control and property affected.

| Name                 | Type                                                          | Description                                                                     |
| -------------------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------- |
| **affectedControl**  | [Control](/api/wisej.web/general/control.md)                  | The [Control](/api/wisej.web/general/control.md) affected by the layout change. |
| **affectedProperty** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The property affected by the layout change.                                     |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) AffectedComponent

[IComponent](https://docs.microsoft.com/dotnet/api/system.componentmodel.icomponent): Returns the [IComponent](https://docs.microsoft.com/dotnet/api/system.componentmodel.icomponent) affected by the layout change.

### ![](/files/hsR4ok3152WyAf8J2C1u) AffectedControl

[Control](/api/wisej.web/general/control.md): Returns the child control affected by the change.

### ![](/files/hsR4ok3152WyAf8J2C1u) AffectedProperty

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns the property affected by the change.

## Used By

| Name                                                                                 | Description                                                                                                                                            |
| ------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [LayoutEventHandler](/api/wisej.web/general/control/wisej.web.layouteventhandler.md) | Represents the method that will handle the [Layout](/api/wisej.web/general/control.md#layout) event of a [Control](/api/wisej.web/general/control.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.layouteventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
